Subject: Re: [RFC PATCH 00/11] an introduction of library operating system for Linux (LibOS)

From: Richard Weinberger <[email-masked]>
Date: Fri, 27 Mar 2015 06:52:04 +0100

Am 27.03.2015 um 04:49 schrieb Geert Uytterhoeven:
> On Fri, Mar 27, 2015 at 4:31 AM, Rusty Russell <[email-masked]> wrote:
>> Richard Weinberger <[email-masked]> writes:
>>> This also infers that arch/lib will be broken most of the time as
>>> every time the networking stack references a new symbol it
>>> has to be duplicated into arch/lib.
>>>
>>> But this does not mean that your idea is bad, all I want to say that
>>> I'm not sure whether arch/lib is the right approach.
>>> Maybe Arnd has a better idea.
>>
>> Exactly why I look forward to getting this in-tree.  Jeremy Kerr and I
>> wrote nfsim back in 2005(!) which stubbed around the netfilter
>> infrastructure; with failtest and valgrind it found some nasty bugs.  It
>> was too much hassle to maintain out-of-tree though :(
>>
>> I look forward to a flood of great bugfixes from this work :)
> 
> IIRC, the ability to run UML under valgrind was also one of its key features?
> And that's not limited to networking.

Sadly this feature went never mainline. You needed a rather invading patch
for both Linux and valgrind.

But now with KASan we have a much more powerful feature to find issues.

Thanks,
//richard

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>